#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../../..
LIST=$(bash dsas/list.sh)
if [[ $(echo "$LIST" | ./jq 'length') -ne 0 ]] ; then
    DSA=$(echo "$LIST" | ./jq -r '.[0]')
else
    >&2 echo "no DSA exists at all." tests abandoned.
    exit 1
fi
bash "$MYPATH"/../read.sh "$DSA" "stats" 3 | \
    ./jq "{ \"DSA\": \"$DSA\", \"stats\": . }" 
