#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../..
DXC=d$$.dxc
LIST=$(bash "$MYPATH"/../list.sh)
if [[ $(echo "$LIST" | ./jq 'length') -ne 0 ]] ; then
    AC=$(echo "$LIST" | ./jq -r '.[0]')
else
    >&2 echo "no access control exists at all." tests abandoned.
    exit 1
fi
bash "$MYPATH"/../showdata.sh "$AC" > "$DXC"
bash "$MYPATH"/../dxccreate.sh "$DXC" "$DXC"
bash "$MYPATH"/../list.sh
echo "# Append to the End of $AC" >> "$DXC"
bash "$MYPATH"/../dxcupdate.sh "$DXC" "$DXC"
bash "$MYPATH"/../showdata.sh "$DXC"
export OPT=-i
bash "$MYPATH"/../delete.sh "$DXC"
export OPT=
bash "$MYPATH"/../list.sh
